ALTER PROCEDURE [dbo].[lsp_getsqlversion]
    @@major     int = NULL OUTPUT,
    @@minor     int = NULL OUTPUT,
    @@build     int = NULL OUTPUT
AS
    SET NOCOUNT ON

    -- Declarations
    DECLARE @retval int
    DECLARE @version nvarchar(64)
    DECLARE @pos1 int
    DECLARE @pos2 int
    DECLARE @pos3 int

    -- Get version
    SELECT @retval = 0
    SELECT @version = CAST(SERVERPROPERTY('productversion') AS nvarchar(64))

    -- Find characters separating different parts of the version
    SELECT @pos1 = CHARINDEX(N'.', @version, 0)
    SELECT @pos2 = CHARINDEX(N'.', @version, @pos1 + 1)
    SELECT @pos3 = CHARINDEX(N'.', @version, @pos2 + 1)

    -- Extract output values
    SELECT @@major = CAST(SUBSTRING(@version, 0, @pos1) AS int)
    SELECT @@minor = CAST(SUBSTRING(@version, @pos1 + 1, @pos2 - @pos1 - 1) AS int)
    SELECT @@build = CAST(SUBSTRING(@version, @pos2 + 1, @pos3 - @pos2 - 1) AS int)

    RETURN @retval
